import {addBasic} from '@/api/template'

const state = {
  stepStatus: true,//true显示步骤 false不显示
  menuType: "sector" //sector板块 component组件
}

const mutations = {
  //展示步骤
  showStepStatus(state){
    state.stepStatus = true;
  },
  //隐藏步骤
  hiddenStepStatus(state){
    state.stepStatus = false;
  }
}

const actions = {
  //添加模板基本信息
  addBasic({commit},data) {
    return new Promise((resolve, reject) => {
      addBasic(data).then(response => {
        resolve(response)
      }).catch(error => {
        reject(error)
      })
    })
  },
}


export default {
  namespaced: true,
  state,
  mutations,
  actions
}
